# GNUmed database system OSCAR compatibility pack bootstrapping config file
#--------------------------------------------------------------------------
# license: GPL v2 or later
# author: Karsten Hilbert@gmx.net

#----------------------------------
[revision control]
file = $Source: /home/ncq/Projekte/cvs2git/vcs-mirror/gnumed/gnumed/server/bootstrap/bootstrap-oscar.conf,v $
version = $Revision: 1.5 $

#----------------------------------
[installation]

interactive = yes

keep temp files = no

description = $description$
This script installs tables and views into a GNUmed
database system in order to connect GNUmed to OSCAR.

$description$

bundles = $bundles$
oscar
$bundles$

#----------------------------------
# bundles
#----------------------------------
[bundle oscar]
database alias = core
minimum postgresql version = 7.4
schema base directory = ../sql/
schema = $schema$
oscar-schema.sql
$schema$

#----------------------------------
# databases
#----------------------------------
[database core]
name = gnumed_v2
override name by = GM_CORE_DB
server alias = local host
audit disable = 1
schema base directory = ../sql/
schema = $schema$
$schema$

#----------------------------------
# servers
#----------------------------------
[server local host]
name = 
port = 5432
template database = template1
super user alias = postgres
schema = $schema$
$schema$

#----------------------------------
# users
#----------------------------------
[user GNUmed owner]
name = gm-dbo
password =

[user postgres]
name = postgres

#----------------------------------
# these really shouldn't be changed
#----------------------------------
[GnuMed defaults]

database owner alias = GNUmed owner

groups = $groups$
$groups$

#----------------------------------
# $Log: bootstrap-oscar.conf,v $
# Revision 1.5  2008-08-28 12:07:27  ncq
# - bump database name to gnumed_v2
# - add options necessary for one-step bootstrapping
#
# Revision 1.4  2006/12/29 16:28:25  ncq
# - "service" -> "bundle", no more services
# - remove "name" and "version" on previous "service" groups
#
# Revision 1.3  2006/12/29 13:56:50  ncq
# - bump required PG version to 7.4
# - remove procedural languages options
# - include gmCreateProceduralLanguages.sql in database level superuser schema import
#
# Revision 1.2  2006/09/17 07:02:00  ncq
# - we don't register services anymore
#
# Revision 1.1  2006/07/03 21:12:58  ncq
# - add OSCAR schema connection to bootstrapping
#
#
